﻿<div>

    <div ng-if="isExistObject(Filters, 'Program')" class="place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">Program</label>
        <div class="input-control select" data-role="input-control">
            <select ng-change="setOnChangeAction(Filters.Program.TargetFilter)"
                    ng-model="parameters.programId" chosen
                    ng-init="Filters.Program.IsRequired ? parameters.programId = null : parameters.programId = -1"
                    ng-options="obj.Value as obj.Text group by obj.Group for obj  in Filters.Program.Data"></select>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'Session')" class="place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">Session</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="parameters.sessionId" chosen
                    ng-init="Filters.Session.IsRequired ? parameters.sessionId = null : parameters.sessionId = -1"
                    ng-options="obj.Value as obj.Text group by obj.Group for obj in Filters.Session.Data"></select>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'School')" class="row place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">School</label>
        <div class="input-control select" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select id="schools"
                        ng-model="parameters.schoolId" chosen
                        ng-change="setOnChangeAction(Filters.School.TargetFilter, Model.schoolId)"
                        ng-options="obj.Value as obj.Text for obj in Filters.School.Data"></select>
            </div>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'Season')" class="row place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">Season</label>
        <div class="input-control select" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="parameters.seasonId" chosen
                        ng-change="setOnChangeAction(Filters.Season.TargetFilter)"
                        ng-options="obj.Value as obj.Text for obj in Filters.Season.Data"></select>
            </div>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'CampProgram')" class="row place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">Program</label>
        <div class="input-control select" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select id="seasons"
                        ng-model="parameters.programId" chosen
                        ng-change="setOnChangeAction(Filters.CampProgram.TargetFilter)"
                        ng-options="obj.Value as obj.Text for obj in Filters.CampProgram.Data"></select>
            </div>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'Schedule')" class="place-left one-fourth padding-right20">
        <div ng-show="Filters.Schedule.IsSubFilter" class="clearfix"></div>
        <label class="req-star" style="font-weight: bold">Schedule</label>
        <div class="input-control select" data-role="input-control">
            <select ng-change="setOnChangeAction(Filters.Schedule.TargetFilter)"
                    ng-model="parameters.scheduleId" chosen
                    ng-options="obj.Value as obj.Text group by obj.Group for obj  in Filters.Schedule.Data"></select>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'StartDate')" class="place-left one-fourth padding-right20">
        <label>Start date</label>
        <div class="input-control date-time" data-role="input-control">
            <input ng-model="parameters.startDate" ng-init="parameters.startDate = '-1'" kendo-date-picker />
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'EndDate')" class="place-left one-fourth padding-right20">
        <label>End date</label>
        <div class="input-control date-time" data-role="input-control">
            <input ng-model="parameters.endDate" ng-init="parameters.startDate = '-1'" kendo-date-picker />
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'Organization')" class="place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">Organization type</label>
        <div class="input-control select" data-role="input-control">
            <select ng-change="setOnChangeAction(Filters.Organization.TargetFilter)"
                    ng-model="parameters.organizationId" chosen
                    ng-init="parameters.organizationId = null"
                    ng-options="obj.Value as obj.Text group by obj.Group for obj  in Filters.Organization.Data"></select>
        </div>
    </div>

    <div ng-if="isExistObject(Filters, 'ActiveStatus')" class="place-left one-fourth padding-right20">
        <label class="req-star" style="font-weight: bold">Active status</label>
        <div class="input-control select" data-role="input-control">
            <select ng-change="setOnChangeAction(Filters.ActiveStatus.TargetFilter)"
                    ng-model="parameters.activeStatus" chosen
                    ng-init="parameters.activeStatus = null"
                    ng-options="obj.Value as obj.Text group by obj.Group for obj  in Filters.ActiveStatus.Data"></select>
        </div>
    </div>

</div>
